﻿using System;
using DemoApp.CustomerModule.Model;

namespace DemoApp.CustomerModule.DataAccess
{
    /// <summary>
    ///     Event arguments used by CustomerRepository's CustomerAdded event.
    /// </summary>
    public class CustomerAddedEventArgs : EventArgs
    {
        public CustomerAddedEventArgs(Customer newCustomer)
        {
            NewCustomer = newCustomer;
        }

        public Customer NewCustomer { get; private set; }
    }
}